/**
 * Copyright (C) 2002
 */

package org.objectweb.util.monolog.file;

import junit.framework.TestCase;
import junit.framework.TestSuite;
import junit.textui.TestRunner;

/**
 *
 * @author Sebastien Chassande-Barrioz
 */
public class TestDottedStringTools extends TestCase {

	public TestDottedStringTools(String name) {
		super(name);
	}

	/**
	 * For running the TestLevelConf suite standalone. A particular TestSuite is
	 * used to initialized the class instance by setter methods.
	 * Two parameters are required:
	 * <ul>
	 * <li>a LoggerFactory class name</li>
	 * <li>a MonologConfFactory class name</li>
	 * </ul>
	 */
	public static void main(String args[]) {
		try {
			TestSuite suite = new TestSuite(TestDottedStringTools.class);
			TestRunner.run(suite);
		}
		catch (Exception e) {
			e.printStackTrace();
		}
	}

	/**
	 * it tests the getFirst method.
	 */
	public void testGetFirst() {
		assertEquals("1", "org",
			DottedStringTools.getFirst("org.objectweb.toto"));
		assertEquals("2", "org", DottedStringTools.getFirst("org"));
		assertEquals("3", "", DottedStringTools.getFirst(""));
		assertEquals("4", "org", DottedStringTools.getFirst("org."));
		assertEquals("5", "", DottedStringTools.getFirst(".org"));
		assertNull("6", DottedStringTools.getFirst(null));
	}

	/**
	 * it tests the getLast method.
	 */
	public void testGetLast() {
		assertEquals("1", "toto", DottedStringTools.getLast("org.objectweb.toto"));
		assertEquals("2", "org", DottedStringTools.getLast("org"));
		assertEquals("3", "", DottedStringTools.getLast(""));
		assertEquals("4", "", DottedStringTools.getLast("org."));
		assertEquals("5", "org", DottedStringTools.getLast(".org"));
		assertNull("6", DottedStringTools.getLast(null));
	}

	/**
	 * it tests the getEnd method.
	 */
	public void testGetEnd() {
		assertEquals("1", "objectweb.toto",
			DottedStringTools.getEnd("org.objectweb.toto"));
		assertEquals("2", "org", DottedStringTools.getEnd("org"));
		assertEquals("3", "", DottedStringTools.getEnd(""));
		assertEquals("", DottedStringTools.getEnd("org."));
		assertEquals("5", "org", DottedStringTools.getEnd(".org"));
		assertNull("6", DottedStringTools.getEnd(null));
	}

	/**
	 * It tests the getBegin method.
	 */
	public void testGetBegin() {
		assertEquals("1", "org.objectweb",
			DottedStringTools.getBegin("org.objectweb.toto"));
		assertEquals("2", "org", DottedStringTools.getBegin("org"));
		assertEquals("3", "", DottedStringTools.getBegin(""));
		assertEquals("4", "org", DottedStringTools.getBegin("org."));
		assertEquals("5", "", DottedStringTools.getBegin(".org"));
		assertNull("6", DottedStringTools.getBegin(null));
	}
}
